#!/usr/bin/python
import sys
import griddb_python_client

if len(sys.argv) < 6:
	print("Need to enter host, port, clusterName, username, password to run this sample program")
	sys.exit(1)

## Get GridDB connection and cluster settings from command-lin
host = sys.argv[1]
port = sys.argv[2]
clusterName = sys.argv[3]
user = sys.argv[4]
password = sys.argv[5]

griddb = griddb_python_client 
factory = griddb.StoreFactory.get_default()


try:
	## Fetch GridStore
	gridstore = factory.get_store({
		"notficationAddress":host,
		"notificationPort":port,
		"clusterName":clusterName,
		"user":user,
		"password":password
		})

	collection = gridstore.get_container("ampCollection151")

	query = collection.query("select * where count=3")
	rowSet = query.fetch(False)
	row = collection.create_row()
	while rowSet.has_next():
		rowSet.get_next(row)
		print(row.get_schema())
		name = row.get_field_as_string(0)
		amps = row.get_field_as_double(1)
		count = row.get_field_as_integer(2)
		timestamp = row.get_field_as_timestamp(3)
		print("Name {0}, Amperage: {1}, Count: {2}, Timestamp: {3}".format(name,amps,count,timestamp))


except griddb.GSException as e:
	print(e.what())
